-- If you're an admin looking through my files then good luck to you and have a nice day! :)

MsgC(Color(0, 255, 0), "[nTools] "); MsgC(color_white, "Yep, we happy!\n")

require("concommand")

local print = print
local function include(line, ...)
	local ret = CompileString(file.Read("lua/" .. line, "GAME"), line, false)
	if isfunction(ret) then
		return select(2, xpcall(ret, print, ...))
	else
		print(ret)
	end
end

-- should've used require instead???
local detour, reveal = include("ntools/detour.lua")
include("ntools/firewall.lua", detour, reveal)
include("ntools/lua_extended.lua")

FindMetaTable("Player")._Name = FindMetaTable("Player")._Name or FindMetaTable("Player").Name
FindMetaTable("Player")._GetWeapons = FindMetaTable("Player")._GetWeapons or FindMetaTable("Player").GetWeapons